#include "DSP281x_Device.h"

#include "wrapper_inu.h"
#include "def.h"
#include "pwm_sim.h"



#include "edrk_main.h"
#include "vector.h"
#include "vector_control.h"
#include "adc_tools.h"
#include "uf_alg_ing.h"
#include "v_rotor.h"
#include "v_rotor_22220.h"
#include "v_pwm24_v2.h"
#include "control_station.h"
#include "control_station_project.h"
#include "CAN_Setup.h"
#include "RS_Functions.h"
#include "master_slave.h"
#include "xp_write_xpwm_time.h"

#include <params.h>
#include <params_alg.h>
#include <params_norma.h>
#include <params_pwm24.h>
#include <params_temper_p.h>
#include <project.h>

#ifndef __WRAPPER_CONTROLLER_H
#define __WRAPPER_CONTROLLER_H

//   -
#define LEN_PARAM_MATR	21

//    S_Function
double paramScal[NPARAMS];
double paramMatr[LEN_PARAM_MATR*2];
int paramMatrDimen;

// ,    controller.c (begin)
//#########################################################################
// 
//double ;

// 
typedef struct
{
	double udc1_ml;
	double udc2_ml;
	double ia1_ml;
	double ib1_ml;
	double ic1_ml;
	double ia2_ml;
	double ib2_ml;
	double ic2_ml;
	double wm_ml;
}UMotorMeasure;
extern UMotorMeasure motor;

#endif //__WRAPPER_CONTROLLER_H